Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047190
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[POS2] POSmajoralways2021-06-17 10:382021-07-07 12:19
ReporterjmelinView Statuspublic 
Assigned ToAugustoMauch 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget VersionTAP
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0047190: JIRA 2044 - When reloading data on POS, it doesn't reflect the changes made on keymap

DescriptionWhen reloading data on POS, it doesn't reflect the changes made on keymap
You need to log out/log in.
Steps To Reproduce1. Connect to POS and display a keymap

2. In BO, change the keymap to add product for example

3. Go back to the POS and "Refresh master data" manually
=> the product is not available in the keymap

4. log out/log in to the POS
=> the product is available in the keymap
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0047170 closedagonzalez JIRA 2044 - When reloading data on POS, it doesn't reflect the changes made on keymap 

-  Notes
(0130016)
AugustoMauch (developer)
2021-06-30 13:42

Fixed in MRs:

https://gitlab.com/obcustomers/AGAP/org.openbravo.mobile.core/-/merge_requests/4 [^]
https://gitlab.com/obcustomers/AGAP/org.openbravo.core2/-/merge_requests/38 [^]
https://gitlab.com/obcustomers/AGAP/org.openbravo.pos2/-/merge_requests/71 [^]
(0130071)
jmelin (developer)
2021-07-01 16:51

After testing, I found 2 issues.


Issue 1:
Disabled product category in a keymap are not reflected on POS after refresh

1. In BO, Create a new keymap category to an existing keymap
2. Connect to POS
=> the category is available with no product
3. IN BO, add a product category to the keymap cat
4. On POS, refresh data
=> OK, the product is available on the POS
5. In BO, disable the previous product category and add a new one
6. On POS, refresh data
=> KO, both products category are available


Issue 2:
When a new page is added to the keymap category after refresh, you can't navigate to it.

1. In BO, Create a new keymap category to an existing keymap
2. Connect to POS
=> the category is available with no product
3. IN BO, add a product category to the keymap cat
4. On POS, refresh data
=> OK, the product is available on the POS
5. In BO, add a new product category so the number of products to display will add a new page
6. On POS, refresh data
=> KO, the new pages are created but you can't access through carroussel button for example.
You need to select another keymap category and come back to the previous to make it work properly
(0130103)
hgbot (developer)
2021-07-02 14:15

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/593 [^]
(0130105)
hgbot (developer)
2021-07-02 14:16

Merge request closed: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/593 [^]
(0130223)
AugustoMauch (developer)
2021-07-07 12:19

Fixed in MR: https://gitlab.com/obcustomers/AGAP/org.openbravo.pos2/-/merge_requests/82 [^]

- Issue History
Date Modified Username Field Change
2021-06-18 18:29 dmiguelez Type feature request => backport
2021-06-18 18:29 dmiguelez Target Version => TAP
2021-06-18 18:30 dmiguelez Status scheduled => acknowledged
2021-06-28 14:24 guilleaer Status acknowledged => scheduled
2021-06-28 14:24 guilleaer Assigned To Retail => AugustoMauch
2021-06-30 13:42 AugustoMauch Note Added: 0130016
2021-06-30 13:42 AugustoMauch Status scheduled => resolved
2021-06-30 13:42 AugustoMauch Resolution open => fixed
2021-06-30 13:42 AugustoMauch Review Assigned To => AugustoMauch
2021-06-30 13:42 AugustoMauch Status resolved => closed
2021-07-01 16:51 jmelin Note Added: 0130071
2021-07-01 16:51 jmelin Status closed => new
2021-07-01 16:51 jmelin Resolution fixed => open
2021-07-02 14:15 hgbot Note Added: 0130103
2021-07-02 14:16 hgbot Note Added: 0130105
2021-07-07 12:19 AugustoMauch Status new => scheduled
2021-07-07 12:19 AugustoMauch Note Added: 0130223
2021-07-07 12:19 AugustoMauch Status scheduled => resolved
2021-07-07 12:19 AugustoMauch Resolution open => fixed
2021-07-07 12:19 AugustoMauch Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker